## org.exist.ant
Class XMLDBRemoveTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.exist.ant.AbstractXMLDBTask
                  org.exist.ant.XMLDBRemoveTask

public class XMLDBRemoveTask
extends AbstractXMLDBTask

an ant task to remove a collection or resource

Author:
  wolf

  modified by, peter.klotz@blue-elephant-systems.com

Constructor Summary
`XMLDBRemoveTask()`

Method Summary
`void` `execute()`
`void` `setCollection(java.lang.String collection)`
`void` `setResource(java.lang.String resource)`

Methods inherited from class org.exist.ant.AbstractXMLDBTask
`setDriver, setFailonerror, setInitdb, setPassword, setUri, setUser`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, init, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLDBRemoveTask

    public XMLDBRemoveTask()

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### setCollection

    public void setCollection(java.lang.String collection)

  Parameters:
    `collection` -

### setResource

    public void setResource(java.lang.String resource)

  Parameters:
    `resource` -

Copyright (C) Wolfgang Meier. All rights reserved.